<template>
	<main>
		<div class="container">
			<h2 class="page-title font-fira">Environment</h2>
			<ul>
				<li>
					<p>
						<strong>NodeJS</strong>
						versi 8 ke atas. Node harus di-
						<em>install</em>
						sebelum meng-
						<em>install</em>
						lainnya.
					</p>
				</li>
				<li>
					<p>
						<strong>Yeoman</strong>. Jalankan perintah di bawah di
						<em>command prompt</em>.
					</p>
					<pre><code class="shell code-container">npm i -g yo</code></pre>
				</li>
				<li>
					<p>
						<strong>Gulp</strong>. Jalankan perintah di bawah di
						<em>command prompt</em>.
					</p>
					<pre><code class="shell code-container">npm i -g gulp-cli</code></pre>
				</li>
				<li>
					<p><strong>Git</strong></p>
					<p>
						<a href="http://www.git-scm.com/download/">Install</a> |
						<a href="https://github.s3.amazonaws.com/media/progit.en.pdf"
							>Pro Git (PDF)</a
						>
					</p>
				</li>
				<li>
					<p><strong>XAMPP</strong></p>
					<p><a href="https://www.apachefriends.org/index.html">Install</a></p>
				</li>
				<li>
					<p><strong>Generator Baze</strong></p>
					<p>
						Install
						<a href="https://github.com/suitmedia/generator-suit-baze"
							>generator baze</a
						>
						dengan menjalankan perintah di bawah ini.
					</p>
					<pre><code class="shell code-container">npm install generator-baze -g</code></pre>
					<p>Untuk install ke dalam project frontend, jalankan</p>
					<pre><code class="shell code-container">yo baze</code></pre>
				</li>
			</ul>
			<hr />
		</div>
	</main>
</template>

<script>
export default {
	name: 'IndexPage',
	data() {
		return {}
	},
	head() {
		return {
			...this.$SEOMeta({
				metaTitle: 'Suit Baze'
			})
		}
	},
	jsonld() {
		return this.$jsonLD({
			type: 'LocalBusiness',
			jsonLDObjects: {
				address: {
					'@type': 'PostalAddress',
					addressLocality: 'Jakarta, Indonesia',
					postalCode: '12510',
					streetAddress: 'Jl. Pejaten Barat II No. 3A'
				},
				email: 'contact(at)suitmedia.com',
				name: 'Suitmedia',
				telephone: '+62 21 719 6877',
				legalName: 'PT Suitmedia Kreasi Indonesia',
				location: 'Jakarta, Bandung, Yogyakarta, Singapore',
				description: 'Digital Agency Indonesia'
			}
		})
	}
}
</script>

<style lang="scss" scoped></style>
